summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTommy Reynolds <Tommy.Reynolds@MegaCoder.com>2006-04-03 11:59:56 +0000
committerTommy Reynolds <Tommy.Reynolds@MegaCoder.com>2006-04-03 11:59:56 +0000
commitbd6d7f767c36977679c1c89912a2554d618618cc (patch)
tree7773f80199950d609e24ad5f47bcb9594c379ef1
parentf485b5f33237a06bd6e737016f6d78838bbe5ef9 (diff)
downloadfedora-doc-utils-bd6d7f767c36977679c1c89912a2554d618618cc.tar.gz
fedora-doc-utils-bd6d7f767c36977679c1c89912a2554d618618cc.tar.xz
fedora-doc-utils-bd6d7f767c36977679c1c89912a2554d618618cc.zip
Create template files for new legalnotice files. Use the "*-en_US.*"
files as canonical.
-rwxr-xr-xcommon/new-legal-files.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/common/new-legal-files.sh b/common/new-legal-files.sh
new file mode 100755
index 0000000..d494274
--- /dev/null
+++ b/common/new-legal-files.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+########################################################################
+# Use this script to create the files needed to add support for a new
+# locale. To keep life simple, we simply copy the canonical "*-en_US.*"
+# file content into a new "*-${LANG}.*" file set.
+#
+# TRANSLATORS NOTE: Legal notices require the assistance of a legal
+# expert who is familiar with the copyright laws for the given locale.
+# IT IS NOT PERMITTED TO SIMPLY TRANSLITERATE THE "en_US" FILE CONTENT
+# INTO THE NEW LOCALE; THIS WILL MEAN ABSOLUTELY NOTHING LEGALLY.
+########################################################################
+# DEBUG=echo
+initFile() {
+ dest=$(echo $1 | sed "s/-en_US/-${L}/")
+ ${DEBUG} cp $1 ${dest}
+ ${DEBUG} sed -i -e "s/-en_US/-${L}/g" ${dest}
+ echo ${dest}
+}
+if [ $# -eq 0 ]; then
+ echo "Usage: $0 locale ..." >&2
+ exit 1
+fi
+echo "Take these files to your legal expert in copyright law:"
+for L in $@
+do
+ for f in legalnotice-*-en_US.xml
+ do
+ initFile $f
+ done
+ for f in fedora-entities-en_US.ent
+ do
+ initFile $f
+ done
+done